# Asterisk Project : Asterisk 13 AGICommand_say alpha

Created by wikibot on Aug 08, 2014

# SAY ALPHA

### Synopsis

Says a given character string.

### Description

Say a given character string, returning early if any of the given DTMF digits are received on the channel. Returns `0` if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed or `-1` on error/hangup.

### Syntax

    SAY ALPHA NUMBER ESCAPE_DIGITS

##### Arguments

- `number`
- `escape_digits`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538